<script>
  import { onMount } from "svelte";

  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 10, right: 20, bottom: 20, left: 20 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Arrays
  const points = [
    innerWidth / 2 - 60,
    innerWidth / 2 - 30,
    innerWidth / 2,
    innerWidth / 2 + 30,
    innerWidth / 2 + 60
  ];

  // All lights with a higher index are on!
  let index = points.length;

  // Color
  let color = "darkred";

  onMount(async () => {
    const myInterval = setInterval(counter, 1000);
    function counter() {
      if (index < 0) {
        clearInterval(myInterval);
        index = -100
      } else {
        index += -1
      }
    } 
  });

  

</script>

<style>
  .light_on {
    opacity: 1;
  }
  .all_on {
    opacity: 1;
    fill: darkgreen;
  }
</style>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    {#each points as point, idx} 
      <circle cx={point} cy={innerHeight/2} r="10" fill={color} opacity="0.3" class:light_on={idx > index} class:all_on={index==-100}></circle>
    {/each}
  </g>
</svg>
